Subject: Re: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Oct 2019 16:53:42 +0300

> From: Carlos Pita <[email-masked]>
> Date: Mon, 21 Oct 2019 10:37:34 -0300
> Cc: [email-masked]
> 
> > can we delay the message until the new frame is created?
> 
> The message "Indentation setup for shell type bash"  is like, I don't know, debug level. If modules are that
> verbose, for me this means a case by case approach has no hope of success.

Maybe there are very few of commands that issue these messages, in
which case a case by case approach is not that bad.

We have infrastructure for delaying messages, see "Delayed Warnings"
in the ELisp manual.  Using something like this could solve this issue
without inordinately affecting more important functionality.

> And how to know when to delay/ignore and when to show if there is no
> priority hint?

I think this is pretty clear: we want to delay when a shell script is
visited via the client.

> Maybe you're aware of this and could spare me some time (and I don't have access to emacs right now): why
> the buffer "flashing" is a non-issue for standalone emacs? I mean, it also has to show something at the very
> beginning, while still loading the initial buffer.

In that case, we visit the file in an existing frame.  By contrast,
the client needs to create a frame, and if it does that before
visiting the file, it will momentarily show some other buffer in that
frame.